## org.eclipse.datatools.sqltools.sqlbuilder.views.update
Class UpdateTreeViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTreeViewer
                          org.eclipse.jface.viewers.TableTreeViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.update.UpdateTreeViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class UpdateTreeViewer

extends org.eclipse.jface.viewers.TableTreeViewer

The Update tree view

Nested Class Summary
`class` `UpdateTreeViewer.UpdateTreeContentProvider` UpdateTree content provider
`class` `UpdateTreeViewer.UpdateTreeLabelProvider` Update grid label provider

Field Summary
`static java.lang.String` `copyright`

Fields inherited from class org.eclipse.jface.viewers.AbstractTreeViewer
`ALL_LEVELS`

Constructor Summary
`UpdateTreeViewer(SQLDomainModel domainModel, org.eclipse.swt.widgets.Composite parent)`

Method Summary
`void` `refresh()`
`void` `setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)`
`void` `setEnabled(boolean enable)`

Methods inherited from class org.eclipse.jface.viewers.TableTreeViewer
`cancelEditing, editElement, getCellEditors, getCellModifier, getColumnProperties, getControl, getElementAt, getLabelProvider, getTableTree, isCellEditorActive, setCellModifier, setColumnProperties`

Methods inherited from class org.eclipse.jface.viewers.AbstractTreeViewer

`add, add, addTreeListener, collapseAll, collapseToLevel, expandAll, expandToLevel, expandToLevel, getAutoExpandLevel, getChildren, getExpandedElements, getExpandedState, getExpandedTreePaths, getSelection, getVisibleExpandedElements, insert, isExpandable, remove, remove, remove, removeTreeListener, reveal, scrollDown, scrollUp, setAutoExpandLevel, setContentProvider, setExpandedElements, setExpandedState, setExpandedTreePaths`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`getCell, getColumnViewerEditor, getLabelProvider, isBusy, refresh, refresh, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setFilters, setInput, setSelection, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### copyright

    public static final java.lang.String copyright

See Also:
  Constant Field Values

Constructor Detail

### UpdateTreeViewer

    public UpdateTreeViewer(SQLDomainModel domainModel,
                            org.eclipse.swt.widgets.Composite parent)

Method Detail

### setCellEditors

    public void setCellEditors(org.eclipse.jface.viewers.CellEditor[] editors)

  Overrides:
    `setCellEditors` in class `org.eclipse.jface.viewers.TableTreeViewer`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `org.eclipse.jface.viewers.StructuredViewer`

### setEnabled

    public void setEnabled(boolean enable)